Bug 197496 - games/wesnoth: miscellaneous fixes
Summary: games/wesnoth: miscellaneous fixes
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Jan Beich
URL:
Keywords: patch
Depends on:
Blocks: 197478
  Show dependency treegraph
 
Reported: 2015-02-09 18:28 UTC by Jan Beich
Modified: 2015-02-17 01:20 UTC (History)
1 user (show)

See Also:
ports: maintainer-feedback+


Attachments
v1 (9.98 KB, patch)
2015-02-09 18:28 UTC, Jan Beich
jbeich: maintainer-approval? (ports)
Details | Diff
testport log (126.00 KB, application/x-xz)
2015-02-09 18:31 UTC, Jan Beich
no flags Details
testport log with options inverted (102.34 KB, application/x-xz)
2015-02-09 18:40 UTC, Jan Beich
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Jan Beich freebsd_committer 2015-02-09 18:28:51 UTC
Created attachment 152811 [details]
v1

- Convert to option helpers
- Stagify NLS option
- Drop unsupported POOLALLOC and PYTHON options
- Rename TESTS to TEST
- Track direct usage of vorbisfile and fontconfig
- Append / (slash) in MASTER_SITES
- Don't redefine default WRKSRC
Comment 1 Bugzilla Automation freebsd_committer 2015-02-09 18:28:51 UTC
Maintainer CC'd
Comment 2 Jan Beich freebsd_committer 2015-02-09 18:31:22 UTC
Created attachment 152812 [details]
testport log
Comment 3 Jan Beich freebsd_committer 2015-02-09 18:40:00 UTC
Created attachment 152813 [details]
testport log with options inverted
Comment 4 Jan Beich freebsd_committer 2015-02-09 18:46:55 UTC
One more option can be exposed but it fails to build:

  DESIGN_DOCS_DESC=Generate design documents (requires LaTeX)
  DESIGN_DOCS_USE=TEX=latex
  DESIGN_DOCS_CMAKE_ON=-DENABLE_DESIGN_DOCUMENTS=on -DLATEX_OUTPUT_PATH=doc
Comment 5 Torsten Zühlsdorff 2015-02-10 09:12:10 UTC
Hello,

thanks for your work! :) At the moment i'm a little bit busy and will need some days for testing.

Also i will merge your patch with the newest update:
https://bugs.freebsd.org/bugzilla/show_bug.cgi?id=197478

Greetings,
Torsten
Comment 6 Jan Beich freebsd_committer 2015-02-11 15:52:05 UTC
(In reply to Torsten Zühlsdorff from comment #5)
> Also i will merge your patch with the newest update:

No need. They're unrelated. And my logs are already for 1.12.1. I'm just waiting for your approval and maybe review or closer testing.

https://reviews.freebsd.org/D1823
Comment 7 Torsten Zühlsdorff 2015-02-12 14:50:40 UTC
I'm fine with most of you're patch. Thanks for your work!

But i'm not fine with dropping POOLALLOC and PYTHON without further explanation. When i remember correctly both options where broken before the last update and did not compile. Since than options compiles smoothly. Have you double check that they are not supported?

Why didn't you remove OPENMP and TEST? Both option do not work at my system. Therefore i marked them broken. Do the work for you?
Comment 8 Jan Beich freebsd_committer 2015-02-12 22:56:36 UTC
(In reply to Torsten Zühlsdorff from comment #7)
> I'm fine with most of you're patch. Thanks for your work!
>
> But i'm not fine with dropping POOLALLOC and PYTHON without further
> explanation. When i remember correctly both options where broken before the
> last update and did not compile. Since than options compiles smoothly. Have you
> double check that they are not supported?

POOLALLOC is gone since 1.11.0 while PYTHON tools should be installed
manually since autotools were removed in 1.9.4. PYTHON option were
further broken by removing plist entries in ports r378538.

https://github.com/wesnoth/wesnoth/commit/20bcf49
https://github.com/wesnoth/wesnoth/commit/3195f5a

>
> Why didn't you remove OPENMP and TEST? Both option do not work at my system.
> Therefore i marked them broken. Do the work for you?

Because they weren't nops and are actually referenced in CMakeLists.txt.
BROKEN is designed to be unmarked after periodic by TRYBROKEN runs but
those are usually done with _DEFAULT options.

Both OPENMP and TEST fail to build here as well. I have a few ideas why
but not interested enough to investigate. For one,

  OPENMP_USES=	compiler:gcc-c++11-lib

makes the build continue only to fail later due -lstdc++ being
hardcoded somewhere.
Comment 9 Torsten Zühlsdorff 2015-02-16 19:48:40 UTC
Thanks for your explanation. Now i'm very fine with you're work and approve it. Thanks for it!
Comment 10 commit-hook freebsd_committer 2015-02-17 01:16:50 UTC
A commit references this bug:

Author: jbeich
Date: Tue Feb 17 01:16:13 UTC 2015
New revision: 379131
URL: https://svnweb.freebsd.org/changeset/ports/379131

Log:
  - Update to 1.12.1 [1]
  - Convert to option helpers
  - Stagify NLS option
  - Drop unsupported POOLALLOC and PYTHON options
  - Rename TESTS to TEST
  - Track direct usage of vorbisfile and fontconfig
  - Append / (slash) in MASTER_SITES
  - Don't redefine default WRKSRC

  Changes:	http://forums.wesnoth.org/viewtopic.php?t=41544
  PR:		197478 [1]
  PR:		197496
  Submitted by:	Torsten Z?hlsdorff (maintainer) [1]
  Reviewed by:	bapt, Torsten Z?hlsdorff
  Approved by:	Torsten Z?hlsdorff (maintainer)
  Approved by:	bapt (mentor)

Changes:
  head/games/wesnoth/Makefile
  head/games/wesnoth/distinfo
  head/games/wesnoth/pkg-plist